apiVersion: oadp.openshift.io/v1alpha1
kind: DataProtectionApplication
metadata:
  creationTimestamp: "2024-06-24T13:16:20Z"
  generation: 2
  name: example-velero
  namespace: openshift-adp
  resourceVersion: "653345862"
  uid: cb87a3eb-4726-49e8-90c7-d5df064c0243
spec:
  backupLocations:
  - name: bucket
    velero:
      config:
        insecureSkipTLSVerify: "true"
        profile: default
        region: noobaa
        s3ForcePathStyle: "true"
        s3Url: http://minio-minio-bucket.apps.vlan611.rdu2.scalelab.redhat.com
      credential:
        key: cloud
        name: minio-oadp-bucket-credentials
      default: true
      objectStorage:
        bucket: minio-oadp-bucket
        prefix: velero
      provider: aws
  configuration:
    nodeAgent:
      enable: true
      podConfig:
        resourceAllocations:
          limits:
            cpu: 20
            memory: 32768Mi
          requests:
            cpu: 1
            memory: 16384Mi
      timeout: 2880m
      uploaderType: kopia
    velero:
      defaultPlugins:
      - openshift
      - aws
      - csi
      logLevel: debug
      podConfig:
        resourceAllocations:
          requests:
            cpu: 2000m
            memory: 4096Mi
status:
  conditions:
  - lastTransitionTime: "2024-06-24T13:16:25Z"
    message: Reconcile complete
    reason: Complete
    status: "True"
    type: Reconciled
